package app.simple;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletContext;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/")
public class SimpleServlet extends HttpServlet {

  @Override
  protected void doGet(HttpServletRequest request, HttpServletResponse response) {
    try {
      ServletContext servletContext = request.getServletContext();
      servletContext.log("Starting SimpleServlet");
      System.out.println("System.out: Starting SimpleServlet");
      response.setContentType("text/html");
      PrintWriter printWriter = response.getWriter();
      printWriter.println("<h3>");
      printWriter.println("Testing the Request events");
      printWriter.println("</h3>");
      servletContext.log("Ending SimpleServlet");
      System.out.println("System.out: Ending SimpleServlet");
    } catch (IOException ioException) {
      request.getServletContext().log(ioException.getMessage());
    }
  }
}
